> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Create Holiday

POST https://companies/%7Bcompany_id%7D/config/holidays
Content-Type: multipart/form-data

Reference: https://docs.itspropel.com/propel-biz/03-company/03-company-config/holidays/create-holiday

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /companies/%7Bcompany_id%7D/config/holidays:
    post:
      operationId: create-holiday
      summary: Create Holiday
      tags:
        - >-
          subpackage_03Company.subpackage_03Company/03CompanyConfig.subpackage_03Company/03CompanyConfig/holidays
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/03 Company_03 Company >
                  Config_Holidays_Create Holiday_Response_200
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: 'Required: Holiday name - max 255 chars'
                is_paid:
                  type: string
                  description: >-
                    Optional: Is this a paid holiday - true|false - default
                    false
                is_recurring:
                  type: string
                  description: >-
                    Optional: Does this holiday recur annually - true|false -
                    default false
                recurring_day:
                  type: string
                recurring_month:
                  type: string
                  description: Required without one time date
                tenant_location_id:
                  type: string
                  description: >-
                    Optional: Location UUID for location-specific holiday -
                    leave empty for company-wide holiday
              required:
                - name
                - is_paid
                - is_recurring
                - recurring_day
                - recurring_month
                - tenant_location_id
servers:
  - url: https:/
components:
  schemas:
    03 Company_03 Company > Config_Holidays_Create Holiday_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 03 Company_03 Company > Config_Holidays_Create Holiday_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/companies/%7Bcompany_id%7D/config/holidays"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nIndependence Day\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_paid\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_recurring\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_day\"\r\n\r\n4\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_month\"\r\n\r\n7\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\na3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d\r\n-----011000010111000001101001--\r\n"
headers = {"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/companies/%7Bcompany_id%7D/config/holidays';
const form = new FormData();
form.append('name', 'Independence Day');
form.append('is_paid', 'true');
form.append('is_recurring', 'true');
form.append('recurring_day', '4');
form.append('recurring_month', '7');
form.append('tenant_location_id', 'a3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d');

const options = {method: 'POST'};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/companies/%7Bcompany_id%7D/config/holidays"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nIndependence Day\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_paid\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_recurring\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_day\"\r\n\r\n4\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_month\"\r\n\r\n7\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\na3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/companies/%7Bcompany_id%7D/config/holidays")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nIndependence Day\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_paid\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_recurring\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_day\"\r\n\r\n4\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_month\"\r\n\r\n7\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\na3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/companies/%7Bcompany_id%7D/config/holidays")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nIndependence Day\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_paid\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_recurring\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_day\"\r\n\r\n4\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_month\"\r\n\r\n7\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\na3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/companies/%7Bcompany_id%7D/config/holidays', [
  'multipart' => [
    [
        'name' => 'name',
        'contents' => 'Independence Day'
    ],
    [
        'name' => 'is_paid',
        'contents' => 'true'
    ],
    [
        'name' => 'is_recurring',
        'contents' => 'true'
    ],
    [
        'name' => 'recurring_day',
        'contents' => '4'
    ],
    [
        'name' => 'recurring_month',
        'contents' => '7'
    ],
    [
        'name' => 'tenant_location_id',
        'contents' => 'a3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d'
    ]
  ]
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/companies/%7Bcompany_id%7D/config/holidays");
var request = new RestRequest(Method.POST);
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\nIndependence Day\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_paid\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"is_recurring\"\r\n\r\ntrue\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_day\"\r\n\r\n4\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"recurring_month\"\r\n\r\n7\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"tenant_location_id\"\r\n\r\na3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation
let parameters = [
  [
    "name": "name",
    "value": "Independence Day"
  ],
  [
    "name": "is_paid",
    "value": "true"
  ],
  [
    "name": "is_recurring",
    "value": "true"
  ],
  [
    "name": "recurring_day",
    "value": "4"
  ],
  [
    "name": "recurring_month",
    "value": "7"
  ],
  [
    "name": "tenant_location_id",
    "value": "a3f1c9d2-4b6e-4f8a-9c3d-2e7f1b5a6c8d"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://https/companies/%7Bcompany_id%7D/config/holidays")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```